GCLOUD_SPANNER_DATABASES_DDL_UPDATE(1)

NAME

gcloud spanner databases ddl update - update the DDL for a Cloud Spanner database

SYNOPSIS

gcloud spanner databases ddl update DATABASE --ddl=DDL --instance=INSTANCE [--async] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Update the DDL for a Cloud Spanner database.

POSITIONAL ARGUMENTS

    DATABASE
        Cloud Spanner database ID.

REQUIRED FLAGS

    --ddl=DDL
        Semi-colon separated DDL (data definition language) statements to run inside the database. If a statement fails, all subsequent statements in the batch are automatically cancelled.

    --instance=INSTANCE
        Cloud Spanner instance ID.

OPTIONAL FLAGS

    --async
        Display information about the operation in progress, without waiting for the operation to complete.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.